## Submitting issues

### Reduced test case required

All bug reports and problem issues require a [**reduced test case**](http://css-tricks.com/reduced-test-cases/). Create one by forking any one of the [CodePen examples](http://codepen.io/desandro/pens/tags/?grid_type=list&selected_tag=packery-docs) from [the docs](http://packery.metafizzy.co).

**CodePens**

+ [Basic layout](http://codepen.io/desandro/pen/QyrEgX)
+ [Fluid layout](http://codepen.io/desandro/pen/xZjOXq)
+ [Images](http://codepen.io/desandro/pen/pgVbLv)
+ [Draggable](http://codepen.io/desandro/pen/aGvIq)

**Test cases**

+ A reduced test case clearly demonstrates the bug or issue.
+ It contains the bare minimum HTML, CSS, and JavaScript required to demonstrate the bug.
+ A link to your production site is **not** a reduced test case.

Providing a reduced test case is the best way to get your issue addressed. Without a reduced test case, your issue may be closed.

## Pull requests

Contributions are welcome! Please note: your code may be used as part of a commercial product if merged. Be clear about what license applies to your patch. [The MIT license](http://choosealicense.com/licenses/mit/) or [public domain unlicense](http://choosealicense.com/licenses/unlicense/) are permissive, and allow integration of your patch into Packery as part of a commercial product.
